Package org.kie.internal.services

## Class KieWeaversImpl

- java.lang.Object
- - org.kie.internal.services.AbstractMultiService<org.kie.api.io.ResourceType,​org.kie.api.internal.weaver.KieWeaverService>
  - - org.kie.internal.services.KieWeaversImpl

- All Implemented Interfaces:
    `Comparable<org.kie.api.internal.utils.KieService>`, `org.kie.api.internal.utils.KieService`, `org.kie.api.internal.weaver.KieWeavers`

      public class KieWeaversImpl
      extends AbstractMultiService<org.kie.api.io.ResourceType,​org.kie.api.internal.weaver.KieWeaverService>
      implements org.kie.api.internal.weaver.KieWeavers

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KieWeaversImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `merge​(org.kie.api.definition.KiePackage pkg, org.kie.api.internal.io.ResourceTypePackage rtkKpg)` |
    `protected Class<org.kie.api.internal.weaver.KieWeaverService>` | `serviceClass()` |
    `protected org.kie.api.io.ResourceType` | `serviceKey​(org.kie.api.internal.weaver.KieWeaverService service)` |
    `void` | `weave​(org.kie.api.definition.KiePackage newPkg, org.kie.api.internal.io.ResourceTypePackage rtkKpg)` |

    - ### Methods inherited from class org.kie.internal.services.AbstractMultiService

      `getService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority`

- - ### Constructor Detail

    - #### KieWeaversImpl

          public KieWeaversImpl()

  - ### Method Detail

    - #### weave

          public void weave​(org.kie.api.definition.KiePackage newPkg,
                            org.kie.api.internal.io.ResourceTypePackage rtkKpg)

      Specified by:
        `weave` in interface `org.kie.api.internal.weaver.KieWeavers`

    - #### merge

          public void merge​(org.kie.api.definition.KiePackage pkg,
                            org.kie.api.internal.io.ResourceTypePackage rtkKpg)

      Specified by:
        `merge` in interface `org.kie.api.internal.weaver.KieWeavers`

    - #### serviceClass

          protected Class<org.kie.api.internal.weaver.KieWeaverService> serviceClass()

      Specified by:
        `serviceClass` in class `AbstractMultiService<org.kie.api.io.ResourceType,​org.kie.api.internal.weaver.KieWeaverService>`

    - #### serviceKey

          protected org.kie.api.io.ResourceType serviceKey​(org.kie.api.internal.weaver.KieWeaverService service)

      Specified by:
        `serviceKey` in class `AbstractMultiService<org.kie.api.io.ResourceType,​org.kie.api.internal.weaver.KieWeaverService>`